
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    
}
h1, h2, h3, h4 {
    font-family: 'Montserrat', sans-serif;
    letter-spacing: -0.5px; 
    }

body {
    background-color: #ffffff;
    color: #333;
    font-family: 'Poppins', sans-serif;
}

/* HR */

.header{
    width:100%;
    height:90px;
    background:#fff;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:0 5%;
    position:fixed;
    top:0;
    left:0;
    z-index:9999;
    box-shadow:0 2px 10px rgba(0,0,0,0.08);
}

.logo{
    width:90px;
}

.logo img{
    width:100%;
}

.menu-toggle{
    display:none;
    font-size:2rem;
    cursor:pointer;
    color:#1ca701;
}

.navbar a {
    text-decoration: none;
    color: #1ca701;
    font-weight: 600;
    position: relative;
    padding: 5px ;
    transition: color 0.3s ease;
}

.navbar a:hover {
    color: black;
}

.navbar a::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 3px;
    bottom: 0;
    left: 0;
    background-color: #1ca701;
    transform: scaleX(0);
    transition: transform 0.3s ease;
}

.navbar a:hover::after {
    transform: scaleX(1);
}

.socials{
    display:flex;
    gap:10px;
}

.socials a{
    width:22px;
    height:22px;
    border-radius:50%;
    background:#1ca701;
    color:white;
    display:flex;
    justify-content:center;
    align-items:center;
    text-decoration:none;
    font-size: 0.75rem; 
    transition: transform 0.3s ease, background 0.3s ease;
}

.socials a:hover{
    transform: scale(1.15);
    background: #000000;
}


h1{
  font-size: 4rem;
    font-weight: bold;
    font-family: 'Montserrat', sans-serif; 

  color: white;
}

.parallax-banner {
    background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), url('../Galeria/Imagenes/Maqui3d.jpg'); 
    height: 90vh;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.parallax-content h1 {
    color: #ffffff;
    font-size: 3rem;
    margin-bottom: 10px;
}

.parallax-content p {
    color: #04b12f; 
    font-weight: 600;
}


/**/
.servicios-contacto{

    width:min(1400px,90%);
    margin:100px auto;

    display:grid;
    grid-template-columns:repeat(2,1fr);
    align-items:stretch;
    gap:35px;

}

/*=========================
==========================*/

.servicios-header{

    width:min(900px,90%);
    margin:90px auto 60px;

    text-align:center;

}

.section-tag{

    display:inline-block;

    color:#00a651;

    font-size:.9rem;

    font-weight:600;

    letter-spacing:4px;

    margin-bottom:18px;

}

.servicios-header h2{

    font-size:clamp(2.2rem,5vw,3.4rem);

    color:#111;

    font-family:'Montserrat',sans-serif;

    margin-bottom:20px;

}

.linea-servicios{

    width:100px;
    height:3px;

    background:#00a651;

    margin:25px auto;

}

.servicios-header p{

    font-size:1.08rem;

    line-height:1.9;

    color:#666;

    max-width:750px;

    margin:auto;

}

.service-card{

    position:relative;

    height:500px;

    border-radius:20px;

    overflow:hidden;

    cursor:pointer;

    box-shadow:0 20px 45px rgba(0,0,0,.18);

}

/* Fondo */

.compra{

    background:url("../Galeria/Imagenes/residuos-plasticos-maquiplastic.jpg") center/cover;

}

.venta{

    background:url("../Galeria/Imagenes/Polietileno-negro-maquiplastic.jpg") center/cover;

}

/* Oscurecer imagen */

.overlay{

    position:absolute;
    inset:0;

    background:linear-gradient(
        rgba(0,0,0,.25),
        rgba(0,0,0,.75)
    );

    display:flex;
    flex-direction:column;
    justify-content:flex-end;

    padding:45px;

    transition:.45s;

}

/*=========================
        TEXTOS
==========================*/

.service-number{

    color:#9cff9f;

    letter-spacing:3px;

    text-transform:uppercase;

    font-size:.8rem;

    margin-bottom:12px;

}

.overlay h2{

    color:#fff;

    font-size:2.2rem;

    margin-bottom:18px;

    font-family:'Montserrat',sans-serif;

}

.line{

    width:90px;
    height:3px;

    background:#00a651;

    margin-bottom:25px;

    transition:.4s;

}

.overlay p{
    color:#f1f1f1;
    line-height:1.8;
    margin-bottom:35px;
    max-width:430px;

}

/*==================*/

.btn-service{
    width:max-content;
    padding:14px 28px;
    border:2px solid #00a651;
    color:#fff;
    text-decoration:none;
    border-radius:50px;
    transition:.35s;
    font-weight:600;
}

.btn-service:hover{
    background:#00a651;
}



.service-card{
    transition:.5s;
}

.service-card:hover{
    transform:translateY(-12px);
}

.service-card::before{
    content:"";
    position:absolute;
    inset:0;
    background:inherit;
    background-size:cover;
    background-position:center;
    transition:transform .8s;
    z-index:-1;
}

.service-card:hover::before{
    transform:scale(1.12);
}

.service-card:hover .overlay{
    background:linear-gradient(
        rgba(0,0,0,.15),
        rgba(0,0,0,.80)
    );
}

.service-card:hover .line{
    width:150px;
}


/***/

.contact-container{
    width:min(1000px,90%);
    margin:100px auto;

}

.contact-form-section{
    background:#fff;
    padding:60px;
    border-radius:25px;
    box-shadow:0 25px 60px rgba(0,0,0,.08);
}

.contact-tag{
    display:inline-block;
    color:#1ca701;
    font-weight:600;
    letter-spacing:4px;
    margin-bottom:15px;
}

.contact-form-section h2{
    font-size:3rem;
    color:#111;
    margin-bottom:20px;
}

.subtitle{
    color:#666;
    line-height:1.9;
    max-width:700px;
    margin-bottom:50px;
}




.contact-top{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:20px;
    margin-bottom:50px;
}

.contact-item{
    background:#f8f9fa;
    border-radius:18px;
    padding:25px;
    display:flex;
    align-items:center;
    gap:18px;
    transition:.4s;
}

.contact-item:hover{
    transform:translateY(-8px);
    box-shadow:0 15px 30px rgba(0,0,0,.08);
}

.icon-wrapper{
    width:60px;
    height:60px;
    background:#1ca701;
    border-radius:50%;
    display:flex;
    justify-content:center;
    align-items:center;
    flex-shrink:0;
}

.icon-wrapper svg{
    width:28px;
    fill:#fff;
}

.contact-item span{
    display:block;
    color:#888;
    font-size:.85rem;
    margin-bottom:5px;
}

.contact-item strong{
    color:#111;
    font-size:1rem;
}



.form-row{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:25px;
    margin-bottom:25px;
}

.form-group{
    margin-bottom:25px;
}

.form-group label{
    display:block;
    margin-bottom:10px;
    font-weight:600;
}

.form-group input,
.form-group textarea{
    width:100%;
    padding:18px;
    border:none;
    border-radius:14px;
    background:#f3f5f7;
    font-size:1rem;
    transition:.35s;
}

.form-group input:focus,
.form-group textarea:focus{
    outline:none;
    background:#fff;
    box-shadow:0 0 0 3px rgba(28,167,1,.15);
}

.form-group textarea{
    height:220px;
    resize:none;
}


.btn-submit{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:12px;
    width:250px;
    margin:20px auto 0;
    padding:18px 35px;
    border:none;
    border-radius:50px;
    background:#1ca701;
    color:#fff;
    font-size:1rem;
    font-weight:600;
    cursor:pointer;
    transition:.35s;
}

.btn-submit:hover{
    transform:translateY(-5px);
    box-shadow:0 15px 30px rgba(28,167,1,.30);
}

.btn-submit.loading{
    pointer-events:none;
}

.spinner{
    display:none;
    width:18px;
    height:18px;
    border:3px solid rgba(255,255,255,.4);
    border-top:3px solid #fff;
    border-radius:50%;
    animation:spin .8s linear infinite;
}

.btn-submit.loading .spinner{
    display:block;
}

@keyframes spin{

    to{
    transform:rotate(360deg);
    }

}

/* Botón enviado */

.btn-submit.success{
    background:#0d7a32;
    cursor:default;
    pointer-events:none;
}

.btn-submit.success:hover{
    transform:none;
    box-shadow:none;
}

/*=====================================
        MENSAJE
======================================*/

#form-status{
    margin-top:30px;
    display:none;
    border-radius:18px;
    padding:22px;
    text-align:center;
    animation:fade .5s;
}

#form-status.success{
    display:block;
    background:#eefaf0;
    border:1px solid #b9e7c7;
    color:#166534;
}

#form-status.error{
    display:block;
    background:#fff1f1;
    border:1px solid #f5b5b5;
    color:#c62828;
}

#form-status h3{
    margin-bottom:10px;
    font-size:1.3rem;
}

#form-status p{
    line-height:1.7;
}

@keyframes fade{

    from{
    opacity:0;
    transform:translateY(20px);
    }

    to{
    opacity:1;
    transform:translateY(0);
    }

}

/* --- MAPA --- */
.map-section {
    width: 100vw;
    line-height: 0; 
}
.map-section iframe {
    width: 100%;              
    display: block;
}


/* */


.footer{
  background:#111;
  color:#fff;
  padding:70px 7%;
  display:flex;
  justify-content:space-between;
  align-items:center;
  flex-wrap:wrap;
}

.footer-logo{
    width: 250px;
    display: flex;
    justify-content: center;
    align-items: center;
    
}

.footer-logo img{
    width: 100%;
    object-fit: contain;
    border-radius:50%;
}

.footer-info h2{
  margin-bottom:10px;
  font-size:2.5rem;
}

.footer-info{
    display:flex;
    flex-direction:column;
}


/*  */

.footer-links, .footer-text{
    list-style:none;
    display:flex;
    flex-direction:column;
    gap:5px;
    
}

.footer-links a{
    text-decoration:none;
    color:white;
    transition:0.3s;
}
.footer-links a:hover{
    color:#4cff4c;
    transform:translateX(5px);
    text-decoration:none;
}

.footer-lists{
    display:flex;
    gap:60px;  
    align-items:flex-start;
    margin:25px 0;
}


.footer-socials{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px; 
    flex-wrap: nowrap !important; 
    margin-bottom: 25px;
    text-decoration:none;
    
}

.footer-socials a{
    width:32px;
    height:32px;
    border-radius:50%;
    background:#1ca701;
    color:white;
    display:flex;
    justify-content:center;
    align-items:center;
    text-decoration:none;
    transition:0.3s;
}

.footer-socials a:hover{
    transform:scale(1.15);
    color: #000000;
    background:#78f100;
}


@media(max-width:992px){
 /* HR */

  .menu-toggle{
        display:block;
    }

    .header{
        width:100%;
        height:90px;
        background:#fff;
        display:flex;
        justify-content:space-between;
        align-items:center;
        padding:0 5%;
        position:fixed;
        overflow:visible;
    }

    .socials a{
        width:22px;
        height:22px;
        font-size:0.75rem;
    }

    .socials {
        gap: 5px;
    }

    .navbar{
        position:absolute;
        top:100%;
        left:0;
        width:100%;
        background:white;
        display:flex;
        flex-direction:column;
        align-items:center;
        gap:5px;
        height:0;
        overflow:hidden;
        transition:height 0.35s ease;
        box-shadow:0 10px 20px rgba(0,0,0,0.08);
    }
 
    .navbar a{
        font-size:12px;
        padding:5px 0;
    }

    .navbar.active{
        height:170px;
    }
    
    .navbar:not(.active){
        pointer-events:none;
    }
/**************************/

    .servicios-contacto{
        grid-template-columns:1fr;
        gap:25px;
    }

/*********************/

     .servicios-header{
        width:92%;
        margin:70px auto 50px;
    }

    .servicios-header h2{
        font-size:2.6rem;
    }

    .servicios-header p{
        font-size:1rem;
        line-height:1.8;
    }

    .service-card{
        height:430px;
    }

    .overlay{
        padding:35px;
    }

    .overlay h2{
        font-size:2rem;
    }

    .overlay p{
        font-size:.95rem;
    }

    .contact-form-section{
        padding:40px;
    }

    .contact-top{
        grid-template-columns:1fr;
    }

    .form-row{
        grid-template-columns:1fr;
        gap:0;
    }
      .footer{
    text-align:center;
    justify-content:center;
    gap:40px;
}

}

@media(max-width:600px){

    .servicios-grid{
        grid-template-columns:1fr;
        gap:25px;
    }

        .contact-form-section{
            padding:25px;
        }

        .contact-form-section h2{
            font-size:2.2rem;
        }

        .subtitle{
            font-size:.95rem;
        }

        .btn-submit{
            width:100%;
        }

        .footer{
            text-align:center;
            justify-content:center;
            gap:40px;
        }

    }

@media(max-width:600px){

    .contact-container {
        grid-template-columns: 1fr; /* Una sola columna en móviles */
        margin: 40px auto;
    }
    
    .parallax-banner {
        height: 90vh; /* Más bajo en pantallas pequeñas */
        background-attachment: scroll; /* El parallax estricto a veces se rompe en móviles, 'scroll' lo suaviza */
    }

   /* HR */
  .menu-toggle{
        display:block;
    }

    .header{
        width:100%;
        height:90px;
        background:#fff;
        display:flex;
        justify-content:space-between;
        align-items:center;
        padding:0 5%;
        position:fixed;
        overflow:visible;
    }

    .socials a{
        width:18px;
        height:18px;
        font-size:0.45rem;
    }

    .socials{
        gap:4px;
        padding:0;
    }

    .navbar{
        position:absolute;
        top:100%;
        left:0;
        width:100%;
        background:white;
        display:flex;
        flex-direction:column;
        align-items:center;
        gap:5px;
        height:0;
        overflow:hidden;
        transition:height 0.35s ease;
        box-shadow:0 10px 20px rgba(0,0,0,0.08);
    }
 
    .navbar a{
        font-size:12px;
        padding:5px 0;
    }

    .navbar.active{
        height:170px;
    }
    
    .navbar:not(.active){
        pointer-events:none;
    }


    .footer-info{
        align-items:center;
        text-align:center;
    }

    .footer-lists{
        width:100%;
        display:flex;
        flex-direction:row;
        justify-content:center;
        align-items:flex-start;
        gap:35px;
        text-align:left;
    }

    .footer-links,
    .footer-text{
        align-items:flex-start;
        text-align:left;
    }

    .footer-socials{
        width:100%;
        justify-content:center;
    }
}

